Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.util
Class NestedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jboss.util.NestedException

All Implemented Interfaces:
  NestedThrowable, Serializable

public class NestedException
extends Exception
implements NestedThrowable

A common superclass for `Exception` classes that can contain a nested `Throwable` detail object.

Version:
  `$Revision: 1.6 $`
Author:
  Jason Dillon
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.jboss.util.NestedThrowable
`NestedThrowable.Util`

Field Summary
`protected Throwable` | `nested` The nested throwable

Fields inherited from interface org.jboss.util.NestedThrowable
`DETECT_DUPLICATE_NESTING, NESTED_TRACE_ENABLED, PARENT_TRACE_ENABLED`

Constructor Summary
`NestedException()` Construct a `NestedException` with no detail.
`NestedException(String msg)` Construct a `NestedException` with the specified detail message.
`NestedException(String msg, Throwable nested)` Construct a `NestedException` with the specified detail message and nested `Throwable`.
`NestedException(Throwable nested)` Construct a `NestedException` with the specified nested `Throwable`.

Method Summary
`Throwable` | `getCause()` Return the nested `Throwable`.
`String` | `getMessage()` Returns the composite throwable message.
`Throwable` | `getNested()` Return the nested `Throwable`.
`void` | `printStackTrace()` Prints the composite message and the embedded stack trace to `System.err`.
`void` | `printStackTrace(PrintStream stream)` Prints the composite message and the embedded stack trace to the specified print stream.
`void` | `printStackTrace(PrintWriter writer)` Prints the composite message and the embedded stack trace to the specified print writer.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### nested

    protected final Throwable nested

  The nested throwable

Constructor Detail

### NestedException

    public NestedException(String msg)

  Construct a `NestedException` with the specified detail message.

Parameters:
  `msg` - Detail message.

### NestedException

    public NestedException(String msg,
                           Throwable nested)

  Construct a `NestedException` with the specified detail message and nested `Throwable`.

Parameters:
  `msg` - Detail message.
  `nested` - Nested `Throwable`.

### NestedException

    public NestedException(Throwable nested)

  Construct a `NestedException` with the specified nested `Throwable`.

Parameters:
  `nested` - Nested `Throwable`.

### NestedException

    public NestedException()

  Construct a `NestedException` with no detail.

Method Detail

### getNested

    public Throwable getNested()

  Return the nested `Throwable`.

  Specified by:
    `getNested` in interface `NestedThrowable`
  Returns:
    Nested `Throwable`.

### getCause

    public Throwable getCause()

  Return the nested `Throwable`.

  For JDK 1.4 compatibility.

  Specified by:
    `getCause` in interface `NestedThrowable`
  Returns:
    Nested `Throwable`.

### getMessage

    public String getMessage()

  Returns the composite throwable message.

  Returns:
    The composite throwable message.

### printStackTrace

    public void printStackTrace(PrintStream stream)

  Prints the composite message and the embedded stack trace to the specified print stream.

  Parameters:
    `stream` - Stream to print to.

### printStackTrace

    public void printStackTrace(PrintWriter writer)

  Prints the composite message and the embedded stack trace to the specified print writer.

  Parameters:
    `writer` - Writer to print to.

### printStackTrace

    public void printStackTrace()

  Prints the composite message and the embedded stack trace to `System.err`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.